SLASDT(3f)

NAME
SLASDT - a tree of subproblems for bidiagonal divide and conquer

SYNOPSIS

SUBROUTINE SLASDT(
    N, LVL, ND, INODE, NDIML, NDIMR, MSUB )

INTEGER
    LVL, MSUB, N, ND

INTEGER
    INODE( * ), NDIML( * ), NDIMR( * )

PURPOSE
SLASDT creates a tree of subproblems for bidiagonal divide and conquer.

ARGUMENTS

N      (input) INTEGER
    On entry, the number of diagonal elements of the bidiagonal matrix.

LVL    (output) INTEGER
    On exit, the number of levels on the computation tree.

ND     (output) INTEGER
    On exit, the number of nodes on the tree.

INODE  (output) INTEGER array, dimension ( N )
    On exit, centers of subproblems.

NDIML  (output) INTEGER array, dimension ( N )
    On exit, row dimensions of left children.

NDIMR  (output) INTEGER array, dimension ( N )
    On exit, row dimensions of right children.

MSUB   (input) INTEGER.
    On entry, the maximum row dimension each subproblem at the bottom of the tree can be of.

FURTHER DETAILS
Based on contributions by
   Ming Gu and Huan Ren, Computer Science Division, University of
   California at Berkeley, USA